Subject: [Simple] Content Permission in xcap-auth

From: Schmidt Christian <[email-masked]>
Date: Fri, 21 Nov 2003 12:59:45 +0100

Hi,

version 1 of xcap auth (draft-ietf-simple-xcap-auth-usage-01) has a lot of advantages, compared with the first version. Nevertheless, I would like to discuss the following proposals for section 4.2.2.2 "Content Permissions": 

a) I see some redundancy in the use of the generic "show-element" permission and the permissions "show contact element", "show note".

I propose to use only "show element". "contact element" as well as "note" can be addressed using the "show-element" permission as well.

b) Some of these permissions represent details of the used data model/presence document. Generally the end user is not aware of this data model.  E.g. tuple represents a source (hardware / software client) of presence information. The end user is normally not aware of these sources, but rather thinks in terms of "presence information elements" like "address", "note", "location", communication means,... Tuple filtering might be interesting from a subscriber point of view, but in that case it is related with "watcher filtering", and has nothing to do with "presence authorization".

I propose to remove "show tuple" and "show namespace" from the list of possible permissions.

c) In the former draft ("00") the list of content permissions included also "show value". I see this as an important feature since some authorization decisions will be based on the actual value of an element. An example application of the "show value" statement maybe the restriction of a particular attribute. E.g. an attribute "communication capabilities" (of type listattribute) that lists the actual supported capabilities: if I want to express that I am only reachable through "IM", it is usefull that I can filter other values (e.g. voice, video, ...) from the "communication capabilities" attribute.

I propose to introduce the "show value" attribute again.

tschau,
Christian

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple